<!DOCTYPE html>
<html xmlns:th="http://thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8">
    <title>Admin</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@dashboardcode/bsmultiselect/dist/css/BsMultiSelect.css">
    <link rel="stylesheet" href="/css/global.css">
    <link rel="stylesheet" href="/css/service.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@dashboardcode/bsmultiselect/dist/js/BsMultiSelect.min.js"></script>
    <script src="/js/global.js"></script>
    <script src="/js/service.js"></script>
</head>
<body>
<a href="/"><h1>Home</h1></a>
<h2>Service</h2>
<input type="button" class="btn btn-primary" id="addBtn" value="New service ID">
<form id="addForm">
    <div class="form-group">
        <label for="name">Name</label>
        <input  type="text" class="form-control" id="name" placeholder="Service">
    </div>
    <div class="form-group">
        <label for="link">Link</label>
        <input type="text" class="form-control" id="link">
    </div>
    <div class="form-group">
        <label for="userAvg">UserAvg</label>
        <input type="number" step="any" class="form-control" id="userAvg" placeholder="123">
    </div>
    <div class="form-group">
        <label for="hosting">Hosting</label>
        <input type="text" class="form-control" id="hosting">
    </div>
    <div class="form-group">
        <label for="admin">Admin</label>
        <select id="admin" class="form-control">
            <option th:each="i : ${admins.keySet()}" th:value="${i}" th:text="${admins.get(i)}">
            </option>
        </select>
    </div>
    <div class="form-group">
        <label for="topics">Topics</label>
        <select name="topics" multiple id="topics" class="form-control">
            <option th:each="i : ${topics.keySet()}" th:value="${i}" th:text="${topics.get(i)}">
            </option>
        </select>
    </div>


    <label for="checkbox">Application:</label>
    <div class="form-group">
        <input id="checkbox" type="checkbox" onclick="">
    </div>

    <div id="delivery" style="display:none;">
        <div class="form-group">
            <div class="myCheck" >
                <label for="numberDevice">Number Device</label>
                <input type="number" class="form-control" id="numberDevice">
            </div>
            <div class="myCheck">
                <label for="compatibility">Compatibility</label>
                <input type="text" class="form-control" id="compatibility">
            </div>
        </div>
    </div>



    <script>
    //here
    $(document).ready(function(){
        $('#checkbox').change(function (){
        if($("#checkbox").prop("checked"))

            $("#delivery").show();
        else
            $("#delivery").hide();
        });
    });


    /*function showAppTable2() {
      var checkbox = document.getElementById('checkbox');
        var delivery_div = document.getElementById('delivery');
        var showHiddenDiv = function(){
        if(checkbox.checked) {
        delivery_div.style['display'] = 'block';
        } else {
        delivery_div.style['display'] = 'none';
        }
        }
        checkbox.onclick = showHiddenDiv;
        showHiddenDiv();
    }*/


    </script>

    <div class="form-group">
        <input type="button" class="btn btn-secondary" value="Submit" onclick="subFnc('service')">
    </div>
</form>
<!--
Deve mostrare:
-Servizio
* ID
* Link
* Media Utenze
* Nome
* Hosting
-Amministratore (a cui appartiene) (String dell'ID)
-Topic Trattati ( ArrayList<String> penso vada bene)
    ma potrebbe essere anche menu a tendina
-->

<form>
<table class="table table-striped">
    <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Link</th>
        <th>UserAvg</th>
        <th>Hosting</th>
        <th>Admin</th>
        <th>Topics</th>
        <th>Type</th>
        <th>Compatibility</th>
        <th>Devices number</th>
        <th></th>
        <th></th>
    </tr>
    <tr>
        <th></th>
        <th><input type="text" name="name" class="form-control" id="searchName"></th>
        <th><input type="text" name="link" class="form-control" id="searchlink"></th>
        <th><input type="number" placeholder="Greater or equal than" step="any" name="userAvg" class="form-control" id="searchUserAvg"></th>
        <th><input type="text" name="hosting" class="form-control" id="searchHosting"></th>
        <th> <select name="admin" id="searchAdmin" class="form-control">
            <option selected="selected" value="">All</option>
            <option th:each="i : ${admins.keySet()}" th:value="${i}" th:text="${admins.get(i)}">
            </option>
        </select></th>
        <th> <select name="topics" multiple id="searchTopics" class="form-control">
            <option th:each="i : ${topics.keySet()}" th:value="${i}" th:text="${topics.get(i)}">
            </option>
        </select>
        </th>
        <th><select name="isApp" class="form-control" id="isApp">
            <option id="Service" selected="selected">Service</option>
            <option id="App">App</option>
        </select>
        </th>
        <th><input type="text" name="compatibility" class="form-control" id="searchCompatibility"></th>
        <th><input type="number" name="devicesNumber" placeholder="Greater or equal than" class="form-control" id="searchDevicesNumber"></th>
        <th></th>
        <th><input type="submit" class="btn btn-primary" value="Search"></th>
    </tr>
    <tr th:each="service : ${services}">
        <td th:id="@{'idCell'+${service.getId()}}" th:text="${service.getId()}"></td>
        <td th:text="${service.getName()}"></td>
        <td th:text="${service.getLink()}"></td>
        <td th:text="${service.getUserAvg()}"></td>
        <td th:text="${service.getHosting()}"></td>
        <td th:text="${service.getAdmin().getName()}"></td>
        <td><p th:each="topic : ${service.getLabel()}" th:text="${topic.getName()}"></p></td>
        <td th:text="${service.getClass().getSimpleName()}"></td>
        <td></td>
        <td></td>
        <td><a style="color:#0060B6; cursor:pointer" th:onclick="@{'delFnc(\'service\','+${service.getId()}+')'}">Delete</a></td>
        <td><a style="color:#0060B6; cursor:pointer" th:onclick="@{'toggleEdit(\'service\','+${service.getId()}+')'}">Edit</a></td>
    </tr>
    <tr th:each="app : ${apps}">
        <td th:id="@{'idCell'+${app.getId()}}" th:text="${app.getId()}"></td>
        <td th:text="${app.getName()}"></td>
        <td th:text="${app.getLink()}"></td>
        <td th:text="${app.getUserAvg()}"></td>
        <td th:text="${app.getHosting()}"></td>
        <td th:text="${app.getAdmin().getName()}"></td>
        <td><p th:each="topic : ${app.getLabel()}" th:text="${topic.getName()}"></p></td>
        <td th:text="${app.getClass().getSimpleName()}"></td>
        <td th:text="${app.getCompatibility()}"></td>
        <td th:text="${app.getDevicesNumber()}"></td>
        <td><a style="color:#0060B6; cursor:pointer" th:onclick="@{'delFnc(\'service\','+${app.getId()}+')'}">Delete</a></td>
        <td><a style="color:#0060B6; cursor:pointer"  th:onclick="@{'toggleEdit(\'service\','+${app.getId()}+')'}">Edit</a></td>
    </tr>
</table>
</form>

</body>
</html>
